/*
 Peripheral View Magic for stm32f10x
 Ver.0.1 (2010/08)

 Copyright (c) 2010, audin
 All rights reserved.

 http://avr.paslog.jp
 

This code is licensed under the BSD License.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditionsare met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holders nor the names of its
   contributors may be used to endorse or promote products derived from
   this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
THE POSSIBILITY OF SUCH DAMAGE.
*/



#include "stm32f10x.h"

#define PRE_TYPE1 volatile
#define PRE_TYPE2 const

#define IO_VIEW_ALL



//#define IO_TIM2_EN
//#define IO_TIM3_EN
//#define IO_TIM4_EN
//#define IO_TIM5_EN
//#define IO_TIM6_EN
//#define IO_TIM7_EN
//#define IO_RTC_EN
//#define IO_WWDG_EN
//#define IO_IWDG_EN
//#define IO_SPI2_EN
//#define IO_SPI3_EN
//#define IO_USART2_EN
//#define IO_USART3_EN
//#define IO_UART4_EN
//#define IO_UART5_EN
//#define IO_I2C1_EN
//#define IO_I2C2_EN
//#define IO_CAN1_EN
//#define IO_CAN2_EN
//#define IO_BKP_EN
//#define IO_PWR_EN
//#define IO_DAC_EN
//#define IO_AFIO_EN
//#define IO_EXTI_EN
//#define IO_GPIOA_EN
//#define IO_GPIOB_EN
//#define IO_GPIOC_EN
//#define IO_GPIOD_EN
//#define IO_GPIOE_EN
//#define IO_GPIOF_EN
//#define IO_GPIOG_EN
//#define IO_ADC1_EN
//#define IO_ADC2_EN
//#define IO_TIM1_EN
//#define IO_SPI1_EN
//#define IO_TIM8_EN
//#define IO_USART1_EN
//#define IO_ADC3_EN
//#define IO_SDIO_EN
//#define IO_DMA1_EN
//#define IO_DMA2_EN
//#define IO_DMA1_Channel1_EN
//#define IO_DMA1_Channel2_EN
//#define IO_DMA1_Channel3_EN
//#define IO_DMA1_Channel4_EN
//#define IO_DMA1_Channel5_EN
//#define IO_DMA1_Channel6_EN
//#define IO_DMA1_Channel7_EN
//#define IO_DMA2_Channel1_EN
//#define IO_DMA2_Channel2_EN
//#define IO_DMA2_Channel3_EN
//#define IO_DMA2_Channel4_EN
//#define IO_DMA2_Channel5_EN
//#define IO_RCC_EN
//#define IO_CRC_EN
//#define IO_FLASH_EN
//#define IO_OB_EN
//#define IO_ETH_EN
//#define IO_FSMC_Bank1_EN
//#define IO_FSMC_Bank1E_EN
//#define IO_FSMC_Bank2_EN
//#define IO_FSMC_Bank3_EN
//#define IO_FSMC_Bank4_EN
//#define IO_DBGMCU_EN


/*----------------------------------------------------------*/



/*----------------------------------------------------------*/

#if defined( IO_TIM2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 TIM_TypeDef * PRE_TYPE2 IO_TIM2 = TIM2;
#endif

#if defined( IO_TIM3_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 TIM_TypeDef * PRE_TYPE2 IO_TIM3 = TIM3;
#endif

#if defined( IO_TIM4_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 TIM_TypeDef * PRE_TYPE2 IO_TIM4 = TIM4;
#endif

#if defined( IO_TIM5_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 TIM_TypeDef * PRE_TYPE2 IO_TIM5 = TIM5;
#endif

#if defined( IO_TIM6_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 TIM_TypeDef * PRE_TYPE2 IO_TIM6 = TIM6;
#endif

#if defined( IO_TIM7_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 TIM_TypeDef * PRE_TYPE2 IO_TIM7 = TIM7;
#endif

#if defined( IO_RTC_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 RTC_TypeDef * PRE_TYPE2 IO_RTC = RTC;
#endif

#if defined( IO_WWDG_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 WWDG_TypeDef * PRE_TYPE2 IO_WWDG = WWDG;
#endif

#if defined( IO_IWDG_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 IWDG_TypeDef * PRE_TYPE2 IO_IWDG = IWDG;
#endif

#if defined( IO_SPI2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 SPI_TypeDef * PRE_TYPE2 IO_SPI2 = SPI2;
#endif

#if defined( IO_SPI3_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 SPI_TypeDef * PRE_TYPE2 IO_SPI3 = SPI3;
#endif

#if defined( IO_USART2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 USART_TypeDef * PRE_TYPE2 IO_USART2 = USART2;
#endif

#if defined( IO_USART3_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 USART_TypeDef * PRE_TYPE2 IO_USART3 = USART3;
#endif

#if defined( IO_UART4_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 USART_TypeDef * PRE_TYPE2 IO_UART4 = UART4;
#endif

#if defined( IO_UART5_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 USART_TypeDef * PRE_TYPE2 IO_UART5 = UART5;
#endif

#if defined( IO_I2C1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 I2C_TypeDef * PRE_TYPE2 IO_I2C1 = I2C1;
#endif

#if defined( IO_I2C2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 I2C_TypeDef * PRE_TYPE2 IO_I2C2 = I2C2;
#endif

#if defined( IO_CAN1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 CAN_TypeDef * PRE_TYPE2 IO_CAN1 = CAN1;
#endif

#if defined( IO_CAN2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 CAN_TypeDef * PRE_TYPE2 IO_CAN2 = CAN2;
#endif

#if defined( IO_BKP_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 BKP_TypeDef * PRE_TYPE2 IO_BKP = BKP;
#endif

#if defined( IO_PWR_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 PWR_TypeDef * PRE_TYPE2 IO_PWR = PWR;
#endif

#if defined( IO_DAC_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DAC_TypeDef * PRE_TYPE2 IO_DAC = DAC;
#endif

#if defined( IO_AFIO_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 AFIO_TypeDef * PRE_TYPE2 IO_AFIO = AFIO;
#endif

#if defined( IO_EXTI_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 EXTI_TypeDef * PRE_TYPE2 IO_EXTI = EXTI;
#endif

#if defined( IO_GPIOA_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 GPIO_TypeDef * PRE_TYPE2 IO_GPIOA = GPIOA;
#endif

#if defined( IO_GPIOB_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 GPIO_TypeDef * PRE_TYPE2 IO_GPIOB = GPIOB;
#endif

#if defined( IO_GPIOC_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 GPIO_TypeDef * PRE_TYPE2 IO_GPIOC = GPIOC;
#endif

#if defined( IO_GPIOD_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 GPIO_TypeDef * PRE_TYPE2 IO_GPIOD = GPIOD;
#endif

#if defined( IO_GPIOE_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 GPIO_TypeDef * PRE_TYPE2 IO_GPIOE = GPIOE;
#endif

#if defined( IO_GPIOF_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 GPIO_TypeDef * PRE_TYPE2 IO_GPIOF = GPIOF;
#endif

#if defined( IO_GPIOG_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 GPIO_TypeDef * PRE_TYPE2 IO_GPIOG = GPIOG;
#endif

#if defined( IO_ADC1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 ADC_TypeDef * PRE_TYPE2 IO_ADC1 = ADC1;
#endif

#if defined( IO_ADC2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 ADC_TypeDef * PRE_TYPE2 IO_ADC2 = ADC2;
#endif

#if defined( IO_TIM1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 TIM_TypeDef * PRE_TYPE2 IO_TIM1 = TIM1;
#endif

#if defined( IO_SPI1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 SPI_TypeDef * PRE_TYPE2 IO_SPI1 = SPI1;
#endif

#if defined( IO_TIM8_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 TIM_TypeDef * PRE_TYPE2 IO_TIM8 = TIM8;
#endif

#if defined( IO_USART1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 USART_TypeDef * PRE_TYPE2 IO_USART1 = USART1;
#endif

#if defined( IO_ADC3_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 ADC_TypeDef * PRE_TYPE2 IO_ADC3 = ADC3;
#endif

#if defined( IO_SDIO_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 SDIO_TypeDef * PRE_TYPE2 IO_SDIO = SDIO;
#endif

#if defined( IO_DMA1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_TypeDef * PRE_TYPE2 IO_DMA1 = DMA1;
#endif

#if defined( IO_DMA2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_TypeDef * PRE_TYPE2 IO_DMA2 = DMA2;
#endif

#if defined( IO_DMA1_Channel1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA1_Channel1 = DMA1_Channel1;
#endif

#if defined( IO_DMA1_Channel2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA1_Channel2 = DMA1_Channel2;
#endif

#if defined( IO_DMA1_Channel3_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA1_Channel3 = DMA1_Channel3;
#endif

#if defined( IO_DMA1_Channel4_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA1_Channel4 = DMA1_Channel4;
#endif

#if defined( IO_DMA1_Channel5_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA1_Channel5 = DMA1_Channel5;
#endif

#if defined( IO_DMA1_Channel6_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA1_Channel6 = DMA1_Channel6;
#endif

#if defined( IO_DMA1_Channel7_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA1_Channel7 = DMA1_Channel7;
#endif

#if defined( IO_DMA2_Channel1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA2_Channel1 = DMA2_Channel1;
#endif

#if defined( IO_DMA2_Channel2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA2_Channel2 = DMA2_Channel2;
#endif

#if defined( IO_DMA2_Channel3_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA2_Channel3 = DMA2_Channel3;
#endif

#if defined( IO_DMA2_Channel4_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA2_Channel4 = DMA2_Channel4;
#endif

#if defined( IO_DMA2_Channel5_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DMA_Channel_TypeDef * PRE_TYPE2 IO_DMA2_Channel5 = DMA2_Channel5;
#endif

#if defined( IO_RCC_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 RCC_TypeDef * PRE_TYPE2 IO_RCC = RCC;
#endif

#if defined( IO_CRC_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 CRC_TypeDef * PRE_TYPE2 IO_CRC = CRC;
#endif

#if defined( IO_FLASH_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 FLASH_TypeDef * PRE_TYPE2 IO_FLASH = FLASH;
#endif

#if defined( IO_OB_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 OB_TypeDef * PRE_TYPE2 IO_OB = OB;
#endif

#if defined( IO_ETH_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 ETH_TypeDef * PRE_TYPE2 IO_ETH = ETH;
#endif

#if defined( IO_FSMC_Bank1_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 FSMC_Bank1_TypeDef * PRE_TYPE2 IO_FSMC_Bank1 = FSMC_Bank1;
#endif

#if defined( IO_FSMC_Bank1E_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 FSMC_Bank1E_TypeDef * PRE_TYPE2 IO_FSMC_Bank1E = FSMC_Bank1E;
#endif

#if defined( IO_FSMC_Bank2_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 FSMC_Bank2_TypeDef * PRE_TYPE2 IO_FSMC_Bank2 = FSMC_Bank2;
#endif

#if defined( IO_FSMC_Bank3_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 FSMC_Bank3_TypeDef * PRE_TYPE2 IO_FSMC_Bank3 = FSMC_Bank3;
#endif

#if defined( IO_FSMC_Bank4_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 FSMC_Bank4_TypeDef * PRE_TYPE2 IO_FSMC_Bank4 = FSMC_Bank4;
#endif

#if defined( IO_DBGMCU_EN ) || defined( IO_VIEW_ALL )
	PRE_TYPE1 DBGMCU_TypeDef * PRE_TYPE2 IO_DBGMCU = DBGMCU;
#endif



/*-------------------------- end --------------------------------*/

